Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.sasn1.test
Class OctetStringTest

    java.lang.Object
      TestCase
          org.bouncycastle.sasn1.test.OctetStringTest

Deprecated. obsolete test case

    public class OctetStringTest

extends TestCase

Constructor Summary
`OctetStringTest()` Deprecated.

Method Summary
`static Test` `suite()` Deprecated.
`void` `testNestedStructure()` Deprecated.
`void` `testReadingWriting()` Deprecated.
`void` `testReadingWritingNested()` Deprecated.
`void` `testReadingWritingZeroInLength()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OctetStringTest

    public OctetStringTest()

  Deprecated.

Method Detail

### testReadingWriting

    public void testReadingWriting()
                            throws java.lang.Exception

  Deprecated.
  Throws:
    `java.lang.Exception`

### testReadingWritingZeroInLength

    public void testReadingWritingZeroInLength()
                                        throws java.lang.Exception

  Deprecated.
  Throws:
    `java.lang.Exception`

### testReadingWritingNested

    public void testReadingWritingNested()
                                  throws java.lang.Exception

  Deprecated.
  Throws:
    `java.lang.Exception`

### testNestedStructure

    public void testNestedStructure()
                             throws java.lang.Exception

  Deprecated.
  Throws:
    `java.lang.Exception`

### suite

    public static Test suite()

  Deprecated.

Bouncy Castle Cryptography Library 1.45